<?php 
defined( '_JEXEC' ) or die( 'Restricted access' );

// ensure user has access to this function
if (!($acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'all' )
		| $acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'com_obras' ))) {
	josRedirect( 'index2.php', JText::_('ALERTNOTAUTH') );
}

require_once( $mainframe->getPath( 'admin_html' ) );
require_once ('components/com_sonoro/admin.sonoro.html.php');
require_once ('components/com_sonoro/admin.sonoro.sql.php');
require_once ('components/com_sonoro/admin.sonoro.player.php');

$task = JRequest::getVar('task');


switch($task)
{
	case 'tienda':
		tienda();
	break;
	case 'letras':
		letras();
	break;
	case 'discos':
		discos();
	break;
	case 'canciones':
		canciones();
	break;
	case 'videos':
		videos();
	break;
	case 'imagenes':
		imagenes();
	break;
	case 'grupos':
		grupos();
	break;
	case 'componentes':
		componentes();
	break;
	case 'eventos':
		eventos();
	break;
	case 'comentarios':
		comentarios();
	break;
	default:
		sampleData();
	break;
}

function eventos(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'add':
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::addEvento_html();
			else {
				$lugar=JRequest::getVar('lugar');
				$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
				$fIni=JRequest::getVar('fInicio');
				$hIni=JRequest::getVar('hInicio');
				$fFin=JRequest::getVar('fFin');
				$hFin=JRequest::getVar('hFin');
				
				if((($lugar!='')&&(strlen($lugar)>16777215))||($lugar=='')) josRedirect('index2.php?option=com_sonoro&task=eventos', JText::_('INVALID EVENT'));
				if($fIni=='') josRedirect('index2.php?option=com_sonoro&task=eventos', JText::_('INVALID EVENT'));
				if($hIni=='') josRedirect('index2.php?option=com_sonoro&task=eventos', JText::_('INVALID EVENT'));
				
				$fhInicio=$fIni.' '.$hIni;
				$fhFin=$fFin.' '.$hFin;
				sonoro_SQL::addEvento_sql($lugar, $fhInicio, $fhFin, $descripcion);
				sonoro_HTML::eventos_html(sonoro_SQL::eventos_sql());
			}
		break;
		case 'del':
			$id=JRequest::getVar('id');
			sonoro_SQL::delEvento_sql($id);
			sonoro_HTML::eventos_html(sonoro_SQL::eventos_sql());
		break;
		case 'update':
			$id=JRequest::getVar('id');
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::updateEvento_html($id, sonoro_SQL::evento_sql($id));
			else {
				$lugar=JRequest::getVar('lugar');
				$fIni=JRequest::getVar('fInicio');
				$hIni=JRequest::getVar('hInicio');
				$fFin=JRequest::getVar('fFin');
				$hFin=JRequest::getVar('hFin');
				$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
				
				if((($lugar!='')&&(strlen($lugar)>16777215))||($lugar=='')) josRedirect('index2.php?option=com_sonoro&task=eventos', JText::_('INVALID EVENT'));
				if($fIni=='') josRedirect('index2.php?option=com_sonoro&task=eventos', JText::_('INVALID EVENT'));
				if($hIni=='') josRedirect('index2.php?option=com_sonoro&task=eventos', JText::_('INVALID EVENT'));
				
				$fhInicio=$fIni.' '.$hIni;
				$fhFin=$fFin.' '.$hFin;
				sonoro_SQL::updateEvento_sql($id, $lugar, $fhInicio, $fhFin, $descripcion);
				sonoro_HTML::eventos_html(sonoro_SQL::eventos_sql());
			}
		break;
		default:
			sonoro_HTML::eventos_html(sonoro_SQL::eventos_sql());
		break;
	}
}

function tienda(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'metodosPago':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::addMetodoPago_html();
					else {
						$nombre=JRequest::getVar('nombre');
						$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=tienda&action=metodosPago', JText::_('INVALID PAYMENT METHOD'));
		
						sonoro_SQL::addMetodoPago_sql($nombre, $descripcion);
						sonoro_HTML::metodosPago_html(sonoro_SQL::metodosPago_sql());
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					sonoro_SQL::delMetodoPago_sql($id);
					sonoro_HTML::metodosPago_html(sonoro_SQL::metodosPago_sql());
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::updateMetodoPago_html($id, sonoro_SQL::metodoPago_sql($id));
					else {
						$nombre=JRequest::getVar('nombre');
						$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=tienda&action=metodosPago', JText::_('INVALID PAYMENT METHOD'));
				
						sonoro_SQL::updateMetodoPago_sql($id, $nombre, $descripcion);
						sonoro_HTML::metodosPago_html(sonoro_SQL::metodosPago_sql());
					}
				break;
				default:
					sonoro_HTML::metodosPago_html(sonoro_SQL::metodosPago_sql());
				break;
			}
		break;
		case 'monedas':
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::monedas_html(sonoro_SQL::monedas_sql());
			else {
				$id=JRequest::getVar('id');
				
				if($id=='') josRedirect('index2.php?option=com_sonoro&task=tienda&action=metodosPago', JText::_('INVALID CURRENCY'));
				
				sonoro_SQL::updateMoneda_sql($id);
				sonoro_HTML::monedas_html(sonoro_SQL::monedas_sql());
			}
		break;
		case 'categorias':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::addCategoria_html(sonoro_SQL::categorias_sql(0), 0);
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$padre=JRequest::getVar('padre');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro', JText::_('INVALID CATHEGORY'));
						
						if($imagen['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						} else $lugar='';
		
						sonoro_SQL::addCategoria_sql($lugar, $padre, 0, $nombre);
						sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(0), 0);
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					sonoro_SQL::delCategoria_sql($id);
					sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(0), 0);
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::updateCategoria_html(sonoro_SQL::categoria_sql($id), sonoro_SQL::categorias_sql(0), 0);
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$padre=JRequest::getVar('padre');
						$imagenActual=JRequest::getVar('imagenActual');
						$sinImagen=JRequest::getVar('sinImagen');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro', JText::_('INVALID CATHEGORY'));
						
						if($sinImagen=='on') $lugar='';
						elseif($imagen['name']=='') $lugar=$imagenActual;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						}
				
						sonoro_SQL::updateCategoria_sql($id, $lugar, $padre, 0, $nombre);
						sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(0), 0);
					}
				break;
				default:
					sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(0), 0);
				break;
			}
		break;
		case 'productos':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::addProducto_html(sonoro_SQL::categorias_sql(0));
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$categoria=JRequest::getVar('categoria');
						$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
						$precio=JRequest::getVar('precio');
						$activo=JRequest::getVar('activo');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=tienda&action=productos', JText::_('INVALID PRODUCT'));
						if($precio=='') josRedirect('index2.php?option=com_sonoro&task=tienda&action=productos', JText::_('INVALID PRODUCT'));
						if($activo=='') josRedirect('index2.php?option=com_sonoro&task=tienda&action=productos', JText::_('INVALID PRODUCT'));
						
						if($imagen['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						} else $lugar='';
						
						if ($activo=='on') $activo=1;
						else $activo=0;
		
						sonoro_SQL::addProducto_sql($lugar,  $nombre, $categoria, $descripcion, $precio, $activo);
						sonoro_HTML::productos_html(sonoro_SQL::productos_sql());
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					sonoro_SQL::delProducto_sql($id);
					sonoro_HTML::productos_html(sonoro_SQL::productos_sql());
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::updateProducto_html(sonoro_SQL::producto_sql($id), sonoro_SQL::categorias_sql(0));
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$categoria=JRequest::getVar('categoria');
						$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
						$precio=JRequest::getVar('precio');
						$activo=JRequest::getVar('activo');
						$imagenActual=JRequest::getVar('imagenActual');
						$sinImagen=JRequest::getVar('sinImagen');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=tienda&action=productos', JText::_('INVALID PRODUCT'));
						if($precio=='') josRedirect('index2.php?option=com_sonoro&task=tienda&action=productos', JText::_('INVALID PRODUCT'));
						if($activo=='') josRedirect('index2.php?option=com_sonoro&task=tienda&action=productos', JText::_('INVALID PRODUCT'));
						
						if($sinImagen=='on') $lugar='';
						elseif($imagen['name']=='') $lugar=$imagenActual;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						}
						
						if ($activo=='on') $activo=1;
						else $activo=0;
				
						sonoro_SQL::updateProducto_sql($id, $lugar, $nombre, $categoria, $descripcion, $precio, $activo);
						sonoro_HTML::productos_html(sonoro_SQL::productos_sql());
					}
				break;
				default:
					sonoro_HTML::productos_html(sonoro_SQL::productos_sql());
				break;
			}
		break;
		case 'pedidos':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'detalle':
					$id=JRequest::getVar('id');
					sonoro_HTML::pedido_html(sonoro_SQL::pedido_sql($id), sonoro_SQL::estados_sql(),sonoro_SQL::lineas_sql($id));
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$estado=JRequest::getVar('estado');
					
					if($estado!='') josRedirect('index2.php?option=com_sonoro&task=tienda&action=pedidos', JText::_('INVALID ORDER'));
						
					sonoro_SQL::updatePedido_sql($id, $estado);
					sonoro_HTML::pedidos_html(sonoro_SQL::pedidos_sql(), sonoro_SQL::estados_sql());
				break;
				default:
					sonoro_HTML::pedidos_html(sonoro_SQL::pedidos_sql(), sonoro_SQL::estados_sql());
				break;
			}
		break;
		default:
			sonoro_HTML::tienda_html();
		break;
	}
}
	
function letras(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'add':
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::addMedio_html(0);
			else {
				$nombre=JRequest::getVar('nombre');
				$cuerpo=addslashes(JRequest::getVar( 'cuerpo', '', 'post', 'STRING', _J_ALLOWRAW ));
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=letras', JText::_('INVALID LYRIC'));
				sonoro_SQL::addMedio_sql(array($nombre, $cuerpo), 0);
				sonoro_HTML::medios_html(sonoro_SQL::medios_sql(0), 0);
			}
		break;
		case 'del':
			$id=JRequest::getVar('id');
			
			sonoro_SQL::delMedio_sql($id);
			sonoro_HTML::medios_html(sonoro_SQL::medios_sql(0), 0);
		break;
		case 'update':
			$id=JRequest::getVar('id');
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::updateMedio_html(sonoro_SQL::medio_sql($id, 0), 0);
			else {
				$nombre=JRequest::getVar('nombre');
				$cuerpo=addslashes(JRequest::getVar( 'cuerpo', '', 'post', 'STRING', _J_ALLOWRAW ));
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=letras', JText::_('INVALID LYRIC'));
				
				sonoro_SQL::updateMedio_sql(array($id, $nombre, $cuerpo), 0);
				sonoro_HTML::medios_html(sonoro_SQL::medios_sql(0), 0);
			}
		break;
		default:
			sonoro_HTML::medios_html(sonoro_SQL::medios_sql(0), 0);
		break;
	}
}

function discos(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'add':
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::addDisco_html(sonoro_SQL::grupos_sql(), sonoro_SQL::componentes_sql());
			else {
				$grupo=JRequest::getVar('grupo');
				$titulo=JRequest::getVar('titulo');
				$fechaCreacion=JRequest::getVar('fechaCreacion');
				$caratula=JRequest::getVar('caratula', null, 'FILES');
				$invitados=JRequest::getVar('invitados');
				
				if((($titulo!='')&&(strlen($titulo)>16777215))||($titulo=='')) josRedirect('index2.php?option=com_sonoro&task=discos', JText::_('INVALID DISC'));
				if($fechaCreacion=='') josRedirect('index2.php?option=com_sonoro&task=discos', JText::_('INVALID DISC'));
				
				if($caratula['name']=='') $lugar='';
				else {
					$mt=explode(" ", microtime());
					move_uploaded_file($caratula['tmp_name'], '../media/'.$mt[0].$mt[1].$caratula['name']);
					$lugar='media/'.$mt[0].$mt[1].$caratula['name'];
				}
				
				$disco=sonoro_SQL::addDisco_sql($lugar, $grupo, $titulo, $fechaCreacion);
				if($invitados!='') foreach($invitados as $invitado) {
					sonoro_SQL::addInvitado_sql($invitado[0], $disco);
				}
				sonoro_PLAYER::generar(sonoro_SQL::disco_sql($disco), sonoro_SQL::listaCanciones_sql($disco));
				sonoro_HTML::discos_html(sonoro_SQL::discos_sql());
			}
		break;
		case 'del':
			$id=JRequest::getVar('id');
			
			sonoro_SQL::delDisco_sql($id);
			sonoro_SQL::delInvitados_sql($id);
			sonoro_HTML::discos_html(sonoro_SQL::discos_sql());
		break;
		case 'update':
			$id=JRequest::getVar('id');
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::updateDisco_html(sonoro_SQL::disco_sql($id), sonoro_SQL::grupos_sql(), sonoro_SQL::componentes_sql(), sonoro_SQL::invitados_sql($id));
			else {
				$grupo=JRequest::getVar('grupo');
				$titulo=JRequest::getVar('titulo');
				$fechaCreacion=JRequest::getVar('fechaCreacion');
				$caratula=JRequest::getVar('caratula', null, 'FILES');
				$caratulaActual=JRequest::getVar('caratulaActual');
				$sinCaratula=JRequest::getVar('sinCaratula');
				$invitados=JRequest::getVar('invitados');
				
				if((($titulo!='')&&(strlen($titulo)>16777215))||($titulo=='')) josRedirect('index2.php?option=com_sonoro&task=discos', JText::_('INVALID DISC'));
				if($fechaCreacion=='') josRedirect('index2.php?option=com_sonoro&task=discos', JText::_('INVALID DISC'));
						
				if($sinCaratula=='on') $lugar='';
				elseif($caratula['name']=='') $lugar=$caratulaActual;
				else {
					$mt=explode(" ", microtime());
					move_uploaded_file($caratula['tmp_name'], '../media/'.$mt[0].$mt[1].$caratula['name']);
					$lugar='media/'.$mt[0].$mt[1].$caratula['name'];
				}
				
				sonoro_SQL::updateDisco_sql($id, $lugar, $grupo, $titulo, $fechaCreacion);
				sonoro_SQL::delInvitados_sql($id);
				if($invitados!='') foreach($invitados as $invitado) {
					sonoro_SQL::addInvitado_sql($invitado[0], $id);
				}
				sonoro_PLAYER::generar(sonoro_SQL::disco_sql($id), sonoro_SQL::listaCanciones_sql($id));
				sonoro_HTML::discos_html(sonoro_SQL::discos_sql());
			}
		break;
		case 'regenerar':
			$id=JRequest::getVar('id');
			sonoro_PLAYER::generar(sonoro_SQL::disco_sql($id), sonoro_SQL::listaCanciones_sql($id));
		default:
			sonoro_HTML::discos_html(sonoro_SQL::discos_sql());
		break;
	}
}

function canciones(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'add':
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::addMedio_html(3, array(sonoro_SQL::discos_sql(), sonoro_SQL::medios_sql(0)));
			else {
				$disco=JRequest::getVar('disco');
				$letra=JRequest::getVar('letra');
				$orden=JRequest::getVar('orden');
				$nombre=JRequest::getVar('nombre');
				$fechaCreacion=JRequest::getVar('fechaCreacion');
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=canciones', JText::_('INVALID SONG'));
				
				sonoro_SQL::addMedio_sql(array($disco, $letra, $orden, $nombre, $fechaCreacion), 3);
				sonoro_HTML::medios_html(sonoro_SQL::medios_sql(3), 3);
			}
		break;
		case 'del':
			$id=JRequest::getVar('id');
			
			sonoro_SQL::delMedio_sql($id);
			sonoro_HTML::medios_html(sonoro_SQL::medios_sql(3), 3);
		break;
		case 'update':
			$id=JRequest::getVar('id');
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::updateMedio_html(sonoro_SQL::medio_sql($id, 3), 3, array(sonoro_SQL::discos_sql(), sonoro_SQL::medios_sql(0)));
			else {
				$disco=JRequest::getVar('disco');
				$letra=JRequest::getVar('letra');
				$orden=JRequest::getVar('orden');
				$nombre=JRequest::getVar('nombre');
				$fechaCreacion=JRequest::getVar('fechaCreacion');
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=canciones', JText::_('INVALID SONG'));
								
				sonoro_SQL::updateMedio_sql(array($id, $disco, $letra, $orden, $nombre, $fechaCreacion), 3);
				sonoro_HTML::medios_html(sonoro_SQL::medios_sql(3), 3);
			}
		break;
		case 'direcciones':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					$medio=JRequest::getVar('medio');
					
					if(!isset($step)||($step!=1))  sonoro_HTML::addDireccion_html($medio);
					else {
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$direccion=JRequest::getVar('direccion');
						$protocolo=JRequest::getVar('protocolo');
						$jukebox=JRequest::getVar('jukebox');
						
						if($direccion!='') $lugar=$direccion;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$lugar='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if($jukebox=='on') $jukebox=1;
						else $jukebox=0;
		
						sonoro_SQL::addDireccion_sql($medio, $lugar, $protocolo, $jukebox);
						sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					$medio=JRequest::getVar('medio');
					
					sonoro_SQL::delDireccion_sql($id);
					sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					
					if(!isset($step)||($step!=1))  sonoro_HTML::updateDireccion_html(sonoro_SQL::direccion_sql($id));
					else {
						$medio=JRequest::getVar('medio');
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$direccion=JRequest::getVar('direccion');
						$protocolo=JRequest::getVar('protocolo');
						$jukebox=JRequest::getVar('jukebox');
						
						if($direccion!='') $lugar=$direccion;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$lugar='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if($jukebox=='on') $jukebox=1;
						else $jukebox=0;
		
						sonoro_SQL::updateDireccion_sql($id, $medio, $lugar, $protocolo, $jukebox);
						sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
					}
				break;
				default:
					$medio=JRequest::getVar('medio');
					sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio), $medio);
				break;
			}
		break;
		default:
			sonoro_HTML::medios_html(sonoro_SQL::medios_sql(3), 3);
		break;
	}
}

function videos(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'categorias':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::addCategoria_html(sonoro_SQL::categorias_sql(2), 2);
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$padre=JRequest::getVar('padre');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=videos&action=categorias', JText::_('INVALID CATHEGORY'));
						
						if($imagen['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						} else $lugar='';
						
						sonoro_SQL::addCategoria_sql($lugar, $padre, 2, $nombre);
						sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(2), 2);
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					sonoro_SQL::delCategoria_sql($id);
					sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(2), 2);
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::updateCategoria_html(sonoro_SQL::categoria_sql($id), sonoro_SQL::categorias_sql(2), 2);
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$padre=JRequest::getVar('padre');
						$imagenActual=JRequest::getVar('imagenActual');
						$sinImagen=JRequest::getVar('sinImagen');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=videos&action=categorias', JText::_('INVALID CATHEGORY'));
						
						if($sinImagen=='on') $lugar='';
						elseif($imagen['name']=='') $lugar=$imagenActual;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						}
				
						sonoro_SQL::updateCategoria_sql($id, $lugar, $padre, 2, $nombre);
						sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(2), 2);
					}
				break;
				default:
					sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(2), 2);
				break;
			}
		break;
		case 'gestionarVideos':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::addMedio_html(2, sonoro_SQL::categorias_sql(2));
					else {
						$videoDireccion=JRequest::getVar('vistaPrevia');
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$categoria=JRequest::getVar('categoria');
						$fechaCreacion=JRequest::getVar('fechaCreacion');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=videos&action=gestionarVideos', JText::_('INVALID VIDEO'));
						
						if($videoDireccion!='') {
							$video=$videoDireccion;
						} elseif($archivo['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$video='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						sonoro_SQL::addMedio_sql(array($categoria, $video,  $nombre, $fechaCreacion), 2);
						sonoro_HTML::medios_html(sonoro_SQL::medios_sql(2), 2);
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					sonoro_SQL::delMedio_sql($id);
					sonoro_HTML::medios_html(sonoro_SQL::medios_sql(2), 2);
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::updateMedio_html(sonoro_SQL::medio_sql($id, 2), 2, sonoro_SQL::categorias_sql(2));
					else {
						$imagenDireccion=JRequest::getVar('vistaPrevia');
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$categoria=JRequest::getVar('categoria');
						$fechaCreacion=JRequest::getVar('fechaCreacion');
						$imagenActual=JRequest::getVar('imagenActual');
						$sinImagen=JRequest::getVar('sinImagen');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=videos&action=gestionarVideos', JText::_('INVALID VIDEO'));
						
						if($sinImagen=='on') $lugar='';
						elseif(($imagenDireccion=='')&&($archivo['name']=='')) $lugar=$imagenActual;
						elseif($imagenDireccion!='') {
							$lugar=$imagenDireccion;
						} elseif($archivo['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$lugar='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if ($activo=='on') $activo=1;
						else $activo=0;
				
						sonoro_SQL::updateMedio_sql(array($id, $nombre, $categoria, $lugar, $fechaCreacion), 2);
						sonoro_HTML::medios_html(sonoro_SQL::medios_sql(2), 2);
					}
				break;
				default:
					sonoro_HTML::medios_html(sonoro_SQL::medios_sql(2), 2);
				break;
			}
		break;
		case 'direcciones':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					$medio=JRequest::getVar('medio');
					
					if(!isset($step)||($step!=1))  sonoro_HTML::addDireccion_html($medio);
					else {
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$direccion=JRequest::getVar('direccion');
						$protocolo=JRequest::getVar('protocolo');
						$jukebox=JRequest::getVar('jukebox');
						
						if($direccion!='') $lugar=$direccion;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$lugar='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if($jukebox=='on') $jukebox=1;
						else $jukebox=0;
		
						sonoro_SQL::addDireccion_sql($medio, $lugar, $protocolo, $jukebox);
						sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					$medio=JRequest::getVar('medio');
					
					sonoro_SQL::delDireccion_sql($id);
					sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					
					if(!isset($step)||($step!=1))  sonoro_HTML::updateDireccion_html(sonoro_SQL::direccion_sql($id));
					else {
						$medio=JRequest::getVar('medio');
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$direccion=JRequest::getVar('direccion');
						$protocolo=JRequest::getVar('protocolo');
						$jukebox=JRequest::getVar('jukebox');
						
						if($direccion!='') $lugar=$direccion;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$lugar='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if($jukebox=='on') $jukebox=1;
						else $jukebox=0;
		
						sonoro_SQL::updateDireccion_sql($id, $medio, $lugar, $protocolo, $jukebox);
						sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
					}
				break;
				default:
					$medio=JRequest::getVar('medio');
					sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
				break;
			}
		break;
		default:
			sonoro_HTML::videos_html();
		break;
	}
}

function imagenes(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'categorias':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::addCategoria_html(sonoro_SQL::categorias_sql(1), 1);
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$padre=JRequest::getVar('padre');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=imagenes&action=categorias', JText::_('INVALID CATHEGORY'));
						
						if($imagen['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						} else $lugar='';
						
						sonoro_SQL::addCategoria_sql($lugar, $padre, 1, $nombre);
						sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(1), 1);
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					sonoro_SQL::delCategoria_sql($id);
					sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(1), 1);
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::updateCategoria_html(sonoro_SQL::categoria_sql($id), sonoro_SQL::categorias_sql(1), 1);
					else {
						$imagen=JRequest::getVar('imagen', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$padre=JRequest::getVar('padre');
						$imagenActual=JRequest::getVar('imagenActual');
						$sinImagen=JRequest::getVar('sinImagen');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=imagenes&action=categorias', JText::_('INVALID CATHEGORY'));
						
						if($sinImagen=='on') $lugar='';
						elseif($imagen['name']=='') $lugar=$imagenActual;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
							$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
						}
				
						sonoro_SQL::updateCategoria_sql($id, $lugar, $padre, 1, $nombre);
						sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(1), 1);
					}
				break;
				default:
					sonoro_HTML::categorias_html(sonoro_SQL::categorias_sql(1), 1);
				break;
			}
		break;
		case 'gestionarImagenes':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::addMedio_html(1, sonoro_SQL::categorias_sql(1));
					else {
						$imagenDireccion=JRequest::getVar('vistaPrevia');
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$categoria=JRequest::getVar('categoria');
						$fechaCreacion=JRequest::getVar('fechaCreacion');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=imagenes&action=gestionarImagenes', JText::_('INVALID IMAGE'));
						
						if($imagenDireccion!='') {
							$imagen=$imagenDireccion;
						} elseif($archivo['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$imagen='media/'.$mt[0].$mt[1].$archivo['name'];
						}
		
						sonoro_SQL::addMedio_sql(array($categoria, $imagen,  $nombre, $fechaCreacion), 1);
						sonoro_HTML::medios_html(sonoro_SQL::medios_sql(1), 1);
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					sonoro_SQL::delMedio_sql($id);
					sonoro_HTML::medios_html(sonoro_SQL::medios_sql(1), 1);
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					if(!isset($step)||($step!=1))  sonoro_HTML::updateMedio_html(sonoro_SQL::medio_sql($id, 1), 1, sonoro_SQL::categorias_sql(1));
					else {
						$imagenDireccion=JRequest::getVar('vistaPrevia');
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$nombre=JRequest::getVar('nombre');
						$categoria=JRequest::getVar('categoria');
						$fechaCreacion=JRequest::getVar('fechaCreacion');
						$imagenActual=JRequest::getVar('imagenActual');
						$sinImagen=JRequest::getVar('sinImagen');
						
						if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=imagenes&action=gestionarImagenes', JText::_('INVALID IMAGE'));
						
						if($sinImagen=='on') $imagen='';
						elseif(($imagenDireccion=='')&&($archivo['name']=='')) $imagen=$imagenActual;
						elseif($imagenDireccion!='') {
							$imagen=$imagenDireccion;
						} elseif($archivo['name']!='') {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$imagen='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if ($activo=='on') $activo=1;
						else $activo=0;
				
						sonoro_SQL::updateMedio_sql(array($id, $nombre, $categoria, $imagen, $fechaCreacion), 2);
						sonoro_HTML::medios_html(sonoro_SQL::medios_sql(1), 1);
					}
				break;
				default:
					sonoro_HTML::medios_html(sonoro_SQL::medios_sql(1), 1);
				break;
			}
		break;
		case 'direcciones':
			$do=JRequest::getVar('do');
			
			switch($do) {
				case 'add':
					$step=JRequest::getVar('step');
					$medio=JRequest::getVar('medio');
					
					if(!isset($step)||($step!=1))  sonoro_HTML::addDireccion_html($medio);
					else {
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$direccion=JRequest::getVar('direccion');
						$protocolo=JRequest::getVar('protocolo');
						$jukebox=JRequest::getVar('jukebox');
						
						if($direccion!='') $lugar=$direccion;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$lugar='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if($jukebox=='on') $jukebox=1;
						else $jukebox=0;
		
						sonoro_SQL::addDireccion_sql($medio, $lugar, $protocolo, $jukebox);
						sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
					}
				break;
				case 'del':
					$id=JRequest::getVar('id');
					$medio=JRequest::getVar('medio');
					
					sonoro_SQL::delDireccion_sql($id);
					sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
				break;
				case 'update':
					$id=JRequest::getVar('id');
					$step=JRequest::getVar('step');
					
					if(!isset($step)||($step!=1))  sonoro_HTML::updateDireccion_html(sonoro_SQL::direccion_sql($id));
					else {
						$medio=JRequest::getVar('medio');
						$archivo=JRequest::getVar('archivo', null, 'FILES');
						$direccion=JRequest::getVar('direccion');
						$protocolo=JRequest::getVar('protocolo');
						$jukebox=JRequest::getVar('jukebox');
						
						if($direccion!='') $lugar=$direccion;
						else {
							$mt=explode(" ", microtime());
							move_uploaded_file($archivo['tmp_name'], '../media/'.$mt[0].$mt[1].$archivo['name']);
							$lugar='media/'.$mt[0].$mt[1].$archivo['name'];
						}
						
						if($jukebox=='on') $jukebox=1;
						else $jukebox=0;
		
						sonoro_SQL::updateDireccion_sql($id, $medio, $lugar, $protocolo, $jukebox);
						sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
					}
				break;
				default:
					$medio=JRequest::getVar('medio');
					sonoro_HTML::direcciones_html(sonoro_SQL::direcciones_sql($medio));
				break;
			}
		break;
		default:
			sonoro_HTML::imagenes_html();
		break;
	}
}

function grupos(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'add':
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::addGrupo_html();
			else {
				$imagen=JRequest::getVar('imagen', null, 'FILES');
				$nombre=JRequest::getVar('nombre');
				$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=grupos', JText::_('INVALID GROUP'));
				
				if($imagen['name']!='') {
					$mt=explode(" ", microtime());
					move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
					$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
				} else $lugar='';
				
				sonoro_SQL::addGrupo_sql($lugar, $nombre, $descripcion);
				sonoro_HTML::grupos_html(sonoro_SQL::grupos_sql());
			}
		break;
		case 'del':
			$id=JRequest::getVar('id');
			sonoro_SQL::delGrupo_sql($id);
			sonoro_HTML::grupos_html(sonoro_SQL::grupos_sql());
		break;
		case 'update':
			$id=JRequest::getVar('id');
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::updateGrupo_html($id, sonoro_SQL::grupo_sql($id));
			else {
				$imagen=JRequest::getVar('imagen', null, 'FILES');
				$nombre=JRequest::getVar('nombre');
				$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
				$imagenActual=JRequest::getVar('imagenActual');
				$sinImagen=JRequest::getVar('sinImagen');
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=grupos', JText::_('INVALID GROUP'));
						
				if($sinImagen=='on') $lugar='';
				elseif($imagen['name']=='') $lugar=$imagenActual;
				else {
					$mt=explode(" ", microtime());
					move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
					$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
				}
				
				sonoro_SQL::updateGrupo_sql($id, $lugar, $nombre, $descripcion);
				sonoro_HTML::grupos_html(sonoro_SQL::grupos_sql());
			}
		break;
		default:
			sonoro_HTML::grupos_html(sonoro_SQL::grupos_sql());
		break;
	}
}

function componentes(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'add':
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::addComponente_html(sonoro_SQL::grupos_sql());
			else {
				$imagen=JRequest::getVar('imagen', null, 'FILES');
				$nombre=JRequest::getVar('nombre');
				$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
				$grupos=JRequest::getVar('grupos');
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=componentes', JText::_('INVALID MEMBER'));
				if($imagen['name']!='') {
					$mt=explode(" ", microtime());
					move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
					$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
				} else $lugar='';
				
				$componente=sonoro_SQL::addComponente_sql($lugar, $nombre, $descripcion);
				
				if($grupos!='') foreach ($grupos as $grupo) {
					sonoro_SQL::addPertenencia_sql($componente[0][0], $grupo);
				}
				sonoro_HTML::componentes_html(sonoro_SQL::componentes_sql());
			}
		break;
		case 'del':
			$id=JRequest::getVar('id');
			sonoro_SQL::delComponente_sql($id);
			sonoro_HTML::componentes_html(sonoro_SQL::componentes_sql());
		break;
		case 'update':
			$id=JRequest::getVar('id');
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::updateComponente_html($id, sonoro_SQL::componente_sql($id), sonoro_SQL::grupos_sql(), sonoro_SQL::pertenece_sql($id));
			else {
				$imagen=JRequest::getVar('imagen', null, 'FILES');
				$nombre=JRequest::getVar('nombre');
				$descripcion=addslashes(JRequest::getVar( 'descripcion', '', 'post', 'STRING', _J_ALLOWRAW ));
				$imagenActual=JRequest::getVar('imagenActual');
				$sinImagen=JRequest::getVar('sinImagen');
				$grupos=JRequest::getVar('grupos');
				
				if((($nombre!='')&&(strlen($nombre)>16777215))||($nombre=='')) josRedirect('index2.php?option=com_sonoro&task=componentes', JText::_('INVALID MEMBER'));
						
				if($sinImagen=='on') $lugar='';
				elseif($imagen['name']=='') $lugar=$imagenActual;
				else {
					$mt=explode(" ", microtime());
					move_uploaded_file($imagen['tmp_name'], '../media/'.$mt[0].$mt[1].$imagen['name']);
					$lugar='media/'.$mt[0].$mt[1].$imagen['name'];
				}
				
				sonoro_SQL::updateComponente_sql($id, $lugar, $nombre, $descripcion);
				
				$pertenenciasActuales=sonoro_SQL::perteneceId_sql($id);
				foreach ($pertenenciasActuales as $actual) {
					sonoro_SQL::delPertenencia_sql($actual[0]);
				}
				
				if($grupos!='') foreach ($grupos as $grupo) {
					sonoro_SQL::addPertenencia_sql($id, $grupo);
				}
				sonoro_HTML::componentes_html(sonoro_SQL::componentes_sql());
			}
		break;
		default:
			sonoro_HTML::componentes_html(sonoro_SQL::componentes_sql());
		break;
	}
}

function comentarios(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'del':
			$id=JRequest::getVar('id');
			sonoro_SQL::delComentario_sql($id);
			sonoro_HTML::comentarios_html(sonoro_SQL::comentarios_sql());
		break;
		case 'update':
			$id=JRequest::getVar('id');
			$step=JRequest::getVar('step');
			if(!isset($step)||($step!=1))  sonoro_HTML::updateComentario_html(sonoro_SQL::comentario_sql($id));
			else {
				$medio=JRequest::getVar('medio');
				$usuario=JRequest::getVar('usuario');
				$texto=addslashes(JRequest::getVar( 'texto', '', 'post', 'STRING', _J_ALLOWRAW ));
				
				if(($texto=='')||(strlen($texto)>16777215)) josRedirect('index2.php?option=com_sonoro&task=comentarios', JText::_('INVALID COMMENT'));
						
				sonoro_SQL::updateComentario_sql($id, $medio, $usuario, $texto);
				sonoro_HTML::comentarios_html(sonoro_SQL::comentarios_sql());
			}
		break;
		default:
			sonoro_HTML::comentarios_html(sonoro_SQL::comentarios_sql());
		break;
	}
}

function sampleData(){
	$action=JRequest::getVar('action');
	
	switch($action) {
		case 'instalar':
			sonoro_SQL::sampleData_sql();
		default:
			sonoro_HTML::sampleData_html();
		break;
	}
}
?>
