<?
defined( '_JEXEC' ) or die( 'Restricted access' );

// ensure user has access to this function
if (!($acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'all' )
		| $acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'com_obras' ))) {
	josRedirect( 'index2.php', JText::_('ALERTNOTAUTH') );
}

class sonoro_SQL {
	// id, lugar, inicio de los eventos desde hoy
	function eventos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, lugar, DATE_FORMAT(inicio, '%d %m %Y') FROM `#__evento` ORDER BY inicio");
 		$eventos = $db->loadRowList();
 		return $eventos;
	}
	
	// lugar, inicio de los eventos
	function evento_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT lugar, inicio, fin, descripcion FROM `#__evento` WHERE id=".$id);
 		$evento = $db->loadRowList();
 		return $evento;
	}
	
	// anyade el evento
	function addEvento_sql($lugar, $inicio, $fin, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__evento` (lugar, inicio, fin, descripcion) VALUES ('".$lugar."', '".$inicio."', '".$fin."', '".$descripcion."')");
 		$db->query();
	}
	
	// borra el evento
	function delEvento_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__evento` WHERE id=".$id);
 		$db->query();
	}
	
	// modifica el evento
	function updateEvento_sql($id, $lugar, $inicio, $fin, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__evento` SET lugar='".$lugar."', inicio='".$inicio."', fin='".$fin."', descripcion='".$descripcion."' WHERE id=".$id);
 		$db->query();
	}
	
	// id, nombre de los metodos de pago
	function metodosPago_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__metodoPago` ORDER BY nombre");
 		$eventos = $db->loadRowList();
 		return $eventos;
	}
	
	// nombre, descripcion del metodo de pago
	function metodoPago_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT nombre, descripcion FROM `#__metodoPago` WHERE id=".$id);
 		$metodo = $db->loadRowList();
 		return $metodo;
	}
	
	// anyade el metodo de pago
	function addMetodoPago_sql($nombre, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__metodoPago` (nombre, descripcion) VALUES ('".$nombre."', '".$descripcion."')");
 		$db->query();
	}
	
	// borra el metodo de pago
	function delMetodoPago_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__metodoPago` WHERE id=".$id);
 		$db->query();
	}
	
	// modifica el evento
	function updateMetodoPago_sql($id, $nombre, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__metodoPago` SET nombre='".$nombre."', descripcion='".$descripcion."' WHERE id=".$id);
 		$db->query();
	}
	
	// id, nombre, porDefecto de las monedas
	function monedas_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre, porDefecto FROM `#__moneda` ORDER BY nombre");
 		$monedas = $db->loadRowList();
 		return $monedas;
	}
	
	// modifica la moneda por defecto
	function updateMoneda_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__moneda` SET porDefecto=0");
 		$db->query();
 		
 		$db->setQuery("UPDATE `#__moneda` SET porDefecto=1 WHERE id=".$id);
 		$db->query();
	}
	
	// id, nombre de las categorias
	function categorias_sql($tipo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__categoria` WHERE tipo=".$tipo." ORDER BY nombre");
 		$categorias = $db->loadRowList();
 		return $categorias;
	}
	
	//
	// id, nombre de las categorias
	function categoria_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, imagen, padre, nombre FROM `#__categoria` WHERE id=".$id);
 		$categoria = $db->loadRowList();
 		return $categoria;
	}
	
	// anyade la categoria
	function addCategoria_sql($imagen, $padre, $tipo, $nombre) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__categoria` (imagen, padre, tipo, nombre) VALUES ('".$imagen."', ".$padre.", ".$tipo.", '".$nombre."')");
 		$db->query();
	}
	
	// borra la categoria
	function delCategoria_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__categoria` WHERE id=".$id);
 		$db->query();
	}
	
	// modifica la categoria
	function updateCategoria_sql($id, $imagen, $padre, $tipo, $nombre) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__categoria` SET imagen='".$imagen."', padre=".$padre.", tipo=".$tipo.", nombre='".$nombre."' WHERE id=".$id);
 		$db->query();
	}
	
	// id, nombre de los productos
	function productos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__producto` ORDER BY nombre");
 		$productos = $db->loadRowList();
 		return $productos;
	}
	
	// anyade el producto
	function addProducto_sql($imagen, $nombre, $categoria, $descripcion, $precio, $activo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__producto` (categoria, imagen, nombre, descripcion, precio, activo) VALUES (".$categoria.", '".$imagen."', '".$nombre."', '".$descripcion."', ".$precio.", ".$activo.")");
 		$db->query();
	}
	
	// borra el producto
	function delProducto_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__producto` WHERE id=".$id);
 		$db->query();
	}
	
	// modifica el producto
	function updateProducto_sql($id, $imagen, $nombre, $categoria, $descripcion, $precio, $activo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__producto` set categoria=".$categoria.", imagen='".$imagen."', nombre='".$nombre."', descripcion='".$descripcion."', precio=".$precio.", activo=".$activo." WHERE id=".$id);
 		$db->query();
	}
	
	// id, categoria, imagen, nombre, descripcion, precio, activo del producto
	function producto_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, categoria, imagen, nombre, descripcion, precio, activo FROM `#__producto` WHERE id=".$id." ORDER BY nombre");
 		$producto = $db->loadRowList();
 		return $producto;
	}
	
	// id, cliente, fecha, estado de los pedidos
	function pedidos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, cliente, fecha, estado FROM `#__pedido` ORDER BY estado");
 		$pedidos = $db->loadRowList();
 		return $pedidos;
	}
	
	// id, nombre de los estados
	function estados_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__estado` ORDER BY id");
 		$estados = $db->loadRowList();
 		return $estados;
	}
	
	// id, cliente, fecha, estado, direccionEntrega, metodoPago
	function pedido_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, cliente, fecha, estado, direccionEntrega, metodoPago FROM `#__pedido` WHERE id=".$id);
 		$pedidos = $db->loadRowList();
 		return $pedidos;
	}
	
	function lineas_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT p.nombre, l.cantidad, l.precio FROM `#__linea` l, `#__producto` p WHERE l.pedido=".$id. " AND l.producto=p.id");
 		$lineas = $db->loadRowList();
 		return $lineas;
	}
	
	function updatePedido_sql($id, $estado) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__pedido` SET estado=".$estado." WHERE id=".$id);
 		$db->query();
	}
	
	function medios_sql($tipo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__medio` WHERE tipo=".$tipo);
 		$medios = $db->loadRowList();
 		return $medios;
	}
	
	function medio_sql($id, $tipo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		switch($tipo) {
			case 0:
				$db->setQuery("SELECT id, nombre, cuerpo FROM `#__medio` WHERE id=".$id);
			break;
			case 1:
				$db->setQuery("SELECT id, categoria, nombre, fechaCreacion, vistaPrevia FROM `#__medio` WHERE id=".$id);
			break;
			case 2:
				$db->setQuery("SELECT id, categoria, nombre, fechaCreacion, vistaPrevia FROM `#__medio` WHERE id=".$id);
			break;
			case 3:
				$db->setQuery("SELECT id, disco, letra, orden, nombre, fechaCreacion FROM `#__medio` WHERE id=".$id);
			break;
		}
 		$medios = $db->loadRowList();
 		return $medios;
	}
	
	// borra el medio
	function delMedio_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__medio` WHERE id=".$id);
 		$db->query();
	}
	
	// anyade el medio
	function addMedio_sql($parametros, $tipo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		switch($tipo) {
			case 0:
		$db->setQuery("INSERT INTO `#__medio` (nombre, cuerpo, tipo) VALUES ('".$parametros[0]."', '".$parametros[1]."', 0)");
			break;
			case 1:
		$db->setQuery("INSERT INTO `#__medio` (categoria, vistaPrevia, nombre, fechaCreacion, tipo) VALUES (".$parametros[0].", '".$parametros[1]."', '".$parametros[2]."', '".$parametros[3]."', 1)");
			break;
			case 2:
		$db->setQuery("INSERT INTO `#__medio` (categoria, vistaPrevia, nombre, fechaCreacion, tipo) VALUES (".$parametros[0].", '".$parametros[1]."', '".$parametros[2]."', '".$parametros[3]."', 2)");
			break;
			case 3:
		$db->setQuery("INSERT INTO `#__medio` (disco, letra, orden, nombre, fechaCreacion, tipo) VALUES (".$parametros[0].", '".$parametros[1]."', ".$parametros[2].", '".$parametros[3]."', '".$parametros[4]."', 3)");
			break;
		}
 		$db->query();
	}
	
	// modifica el medio
	function updateMedio_sql($parametros, $tipo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		switch($tipo) {
			case 0:
				$db->setQuery("UPDATE `#__medio` set nombre='".$parametros[1]."', cuerpo='".$parametros[2]."' WHERE id=".$parametros[0]);
			break;
			case 1:
				$db->setQuery("UPDATE `#__medio` set nombre='".$parametros[1]."', categoria='".$parametros[2]."', vistaPrevia='".$parametros[3]."', fechaCreacion='".$parametros[4]."' WHERE id=".$parametros[0]);
			break;
			case 2:
				$db->setQuery("UPDATE `#__medio` set nombre='".$parametros[1]."', categoria='".$parametros[2]."', vistaPrevia='".$parametros[3]."', fechaCreacion='".$parametros[4]."' WHERE id=".$parametros[0]);
			break;
			case 3:
				$db->setQuery("UPDATE `#__medio` set disco=".$parametros[1].", letra='".$parametros[2]."', orden=".$parametros[3].", nombre='".$parametros[4]."', fechaCreacion='".$parametros[5]."' WHERE id=".$parametros[0]);
			break;
		}
 		$db->query();
	}
	
	function discos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, titulo FROM `#__disco`");
 		$discos = $db->loadRowList();
 		return $discos;
	}
	
	function disco_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		switch($tipo) {
			case 0:
				$db->setQuery("SELECT d.id, d.caratula, g.nombre, d.titulo, d.fechaCreacion, d.grupo FROM `#__disco` d, `#__grupo` g WHERE d.id=".$id." AND d.grupo=g.id");
			break;
		}
 		$medios = $db->loadRowList();
 		return $medios;
	}
	
	// borra el disco
	function delDisco_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__disco` WHERE id=".$id);
 		$db->query();
	}
	
	// anyade el disco
	function addDisco_sql($caratula, $grupo, $titulo, $fecha) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		switch($tipo) {
			case 0:
		$db->setQuery("INSERT INTO `#__disco` (caratula, grupo, titulo, fechaCreacion) VALUES ('".$caratula."', ".$grupo.", '".$titulo."', '".$fecha."')");
			break;
		}
 		$db->query();
 		
 		$db->setQuery("SELECT MAX(id) FROM `#__disco`");
 		$id = $db->loadRowList();
 		return $id[0][0];
	}
	
	// modifica el disco
	function updateDisco_sql($id, $caratula, $grupo, $titulo, $fecha) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__disco` set caratula='".$caratula."', grupo=".$grupo.", titulo='".$titulo."', fechaCreacion='".$fecha."' WHERE id=".$id);
 		$db->query();
	}
	
	// id, medio, direccion, protocolo, jukebox
	function direcciones_sql($medio) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, medio, direccion, protocolo, jukebox FROM `#__direccion` WHERE medio=".$medio);
 		$direcciones = $db->loadRowList();
 		return $direcciones;
	}
	
	function addDireccion_sql($medio, $direccion, $protocolo, $jukebox) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__direccion` (medio, direccion, protocolo, jukebox) VALUES (".$medio.", '".$direccion."', '".$protocolo."', ".$jukebox.")");
 		$db->query();
	}
	
	// borra la direccion
	function delDireccion_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__direccion` WHERE id=".$id);
 		$db->query();
	}
	
	// id, direccion, protocolo, jukebox
	function direccion_sql($direccion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, direccion, protocolo, jukebox, medio FROM `#__direccion` WHERE id=".$direccion);
 		$direccion = $db->loadRowList();
 		return $direccion;
	}
	
	function updateDireccion_sql($id, $medio, $lugar, $protocolo, $jukebox) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__direccion` set medio=".$medio.", direccion='".$lugar."', protocolo='".$protocolo."', jukebox=".$jukebox." WHERE id=".$id);
 		$db->query();
	}

	// id, nombre de los grupos
	function grupos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__grupo` ORDER BY nombre");
 		$eventos = $db->loadRowList();
 		return $eventos;
	}
	
	// imagen, nombre, descripcion del grupo
	function grupo_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT imagen, nombre, descripcion FROM `#__grupo` WHERE id=".$id);
 		$evento = $db->loadRowList();
 		return $evento;
	}
	
	// anyade el grupo
	function addGrupo_sql($imagen, $nombre, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__grupo` (imagen, nombre, descripcion) VALUES ('".$imagen."', '".$nombre."', '".$descripcion."')");
 		$db->query();
	}
	
	// borra el grupo
	function delGrupo_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__grupo` WHERE id=".$id);
 		$db->query();
	}
	
	// modifica el grupo
	function updateGrupo_sql($id, $imagen, $nombre, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__grupo` SET imagen='".$imagen."', nombre='".$nombre."', descripcion='".$descripcion."' WHERE id=".$id);
 		$db->query();
	}
	
	// id, nombre de los componentes
	function componentes_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__componente` ORDER BY nombre");
 		$eventos = $db->loadRowList();
 		return $eventos;
	}
	
	// imagen, nombre, descripcion del componente
	function componente_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT imagen, nombre, descripcion FROM `#__componente` WHERE id=".$id);
 		$evento = $db->loadRowList();
 		return $evento;
	}
	
	// imagen, nombre, descripcion del componente
	function invitados_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, componente FROM `#__invitado` WHERE disco=".$id);
 		$evento = $db->loadRowList();
 		return $evento;
	}
	
	// anyade el invitado
	function addInvitado_sql($componente, $disco) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__invitado` (componente, disco) VALUES ('".$componente."', '".$disco."')");
 		$db->query();
	}
	
	// borra los invitados del disco
	function delInvitados_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__invitado` WHERE disco=".$id);
 		$db->query();
	}
	
	// anyade el componente
	function addComponente_sql($imagen, $nombre, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__componente` (imagen, nombre, descripcion) VALUES ('".$imagen."', '".$nombre."', '".$descripcion."')");
 		$db->query();
 		
 		$db->setQuery("SELECT MAX(id) FROM `#__componente`");
 		$componente = $db->loadRowList();
 		return $componente;
	}
	
	// borra el componente
	function delComponente_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__componente` WHERE id=".$id);
 		$db->query();
 		$db->setQuery("DELETE FROM `#__pertenece` WHERE componente=".$id);
 		$db->query();
	}
	
	// modifica el componente
	function updateComponente_sql($id, $imagen, $nombre, $descripcion) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__componente` SET imagen='".$imagen."', nombre='".$nombre."', descripcion='".$descripcion."' WHERE id=".$id);
 		$db->query();
	}
	
	// anyade la relacion de pertenencia
	function addPertenencia_sql($componente, $grupo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO `#__pertenece` (componente, grupo) VALUES (".$componente.", ".$grupo.")");
 		$db->query();
	}

	// grupos a los que pertenece
	function pertenece_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT grupo FROM `#__pertenece` WHERE componente=".$id);
 		$grupos = $db->loadRowList();
 		return $grupos;
	}
	
	// id
	function perteneceId_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id FROM `#__pertenece` WHERE componente=".$id);
 		$ids = $db->loadRowList();
 		return $ids;
	}
	
	// borra el componente
	function delPertenencia_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__pertenece` WHERE id=".$id);
 		$db->query();
	}
	
	// id, nombre, texto de los comentarios
	function comentarios_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT c.id, m.nombre , substring(c.texto,1,30) FROM `#__comentario` c, `#__medio` m WHERE c.medio=m.id");
 		$comentarios = $db->loadRowList();
 		return $comentarios;
	}
	
	// id, texto del comentario
	function comentario_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, medio, texto, usuario FROM `#__comentario` WHERE id=".$id);
 		$comentario = $db->loadRowList();
 		return $comentario;
	}
	
	// modifica el comentario
	function updateComentario_sql($id, $medio, $usuario, $texto) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("UPDATE `#__comentario` SET medio=".$medio.", usuario=".$usuario.", texto='".$texto."' WHERE id=".$id);
 		$db->query();
	}
	
	// borra el comentario
	function delComentario_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("DELETE FROM `#__comentario` WHERE id=".$id);
 		$db->query();
	}
	
	// nombre, direccioin de las canciones del disco
	function listaCanciones_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT m.nombre, d.direccion FROM `#__medio` m, `#__direccion` d WHERE m.disco=".$id." AND d.medio=m.id AND d.jukebox=1 ORDER BY orden");
 		$canciones = $db->loadRowList();
 		return $canciones;
	}
	
	// sample data
	function sampleData_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();
		
		$db->setQuery("INSERT INTO #__categoria VALUES (1,'media/productos.png',0,0,'Products');");
 		$db->query();
		$db->setQuery("INSERT INTO #__categoria VALUES (2,'media/imagenes.png',2,1,'Images')");
 		$db->query();
		$db->setQuery("INSERT INTO #__categoria VALUES (3,'media/videos.png',3,2,'Videos');");
 		$db->query();
		$db->setQuery("INSERT INTO #__categoria VALUES (5,'',2,1,'Black & White');");
 		$db->query();
		$db->setQuery("INSERT INTO #__componente VALUES (4,'http://www.tengooz.com/img/jpg/member/avi1.jpg','Avi','<p><font size=\"-1\"><strong><font face=\"Arial\" size=\"-1\">Avi</font></strong></font><font face=\"Arial\" size=\"-1\"> was born in New York City. He is a founding member of Xenophonia, whose spirit of original, eclectic, though accessible musical expression lives on with the TenGooz.<br /> Though Avi has been based in Japan since arriving there as a university student, he has traveled the world, visiting more than 90 countries. The encounters with different cultures, a great love of reading world literature, and many yearsof trying to live life to the fullest have had a great impact on his song writing. He believes that every song should be performed as if it were his LAST. Audiences everywhere are hoping that the LAST show won t be for a very long time.</font></p>');");
 		$db->query();
		$db->setQuery("INSERT INTO #__componente VALUES (5,'http://www.tengooz.com/img/jpg/member/kenya1.jpg','Kenya','<p><font face=\"Arial\" size=\"-1\"><strong>Kenya Sagara</strong>I came across a trombone when I was 12 years old. Since then I ve been love with the instrument. I was inspired by lots of musicians. I like to play jazz, funk and salsa. I first met Avi at a place with live music in Harajuku. It s exciting to play for the Tengooz. </font></p>');");
 		$db->query();
		$db->setQuery("INSERT INTO #__componente VALUES (6,'http://www.tengooz.com/img/jpg/member/tanaka1.jpg','Tanaka','<p><font face=\"Arial\" size=\"-1\" color=\"#cccccc\"><strong>Fumihiko Tanaka</strong>:My favorite music is Blues, heavy sounds. When I was a junior high student, I decided to be like Eddie Van Halen and joined the guitar club at school. I still can t play with a special right-hand technique like him though. When I was 20 yrs old, I listened to B.B. King and Albert King. I found they were the onee.<br />\"Rock n Roll is forever!\"</font></p>');");
 		$db->query();
		$db->setQuery("INSERT INTO #__componente VALUES (7,'http://www.tengooz.com/img/jpg/member/haseg.jpg','HaseG','<p><font face=\"Arial\" size=\"-1\" color=\"#cccccc\">Nodoka Hasegawa<br /> When I was a freshman at a high school, I came across the bass by fagte. Since then, I have done nothing but played the bass for few decades. I repeated to form my own bands and fall out. And I ve choesn the TenGooz as my final band. I was really inspired by Avi and Jon, and thought I would be able to give full play to my ability. Like Jon says, I also enjoy playing for the TenGooz and it s both interesting and challenging for me. I m very happy!</font></p>');");
 		$db->query();
		$db->setQuery("INSERT INTO #__componente VALUES (8,'http://www.tengooz.com/img/jpg/member/jonny1.jpg','Jon','<p><font face=\"Arial\" size=\"-1\"><strong>Jon Hicks:</strong> Nashville, Tennessee USA.<br /> When I was 7 years old my mother took me to a music store and said I could pick any instrument. I chose the drums and never looked back. My first band was while I was in %th grade elementary school playing heavy metal like Quiet Fiot and Van Halen Songs. We would practice in my basement and the police would always come. Then while in High school I discovered the world of Punk music. I formed a band with Rife Thompson, a musical and artistic geneous. We wrote all original punk music and played the Punks scene in Nashville and Atlanta, GA. Tha band s name was Social Disease and we recorded one album. As I started University Mik, Rife and I created a band called Natural Harmony. It was a completely improvised band of psychedelic rock. After coming to Japan it took a long time to gather musical equipment. I started off trying to play a solo live set playing all the instruments using a loop machine, but that proved very hard. Mik fially came back to Japane and along with Dylan, we formed Jonny Bullets and the Unmentionables. We played about 4 shows of all original music in Tsukuba. Due to logistical difficulties, the band couldn t continue. Soon after, I got a call from Avi saying he needed adrummer for the new experimantal band \"The TenGooz\". And here we are today 3 years later.</font></p>');");
 		$db->query();
		$db->setQuery("INSERT INTO #__componente VALUES (9,'http://www.tengooz.com/img/jpg/member/mik.jpg','Mik / soundman','<p><font face=\"Arial\" size=\"-1\"><strong><br /></strong></font></p>');");
 		$db->query();
		$db->setQuery("INSERT INTO #__componente VALUES (10,'http://www.tengooz.com/collective/1.jpg','Hidemi','<table border=\"0\"><tbody><tr><td align=\"center\"><font size=\"-1\">       ? Guitar ?</font></td>       <td>&nbsp;</td>       <td>&nbsp;</td></tr></tbody></table>');");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (1,2,'http://stream1-3.jamendo.com/1876/mp31/01%20-%20The%20Chills%20Spacy%20Funk.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (2,3,'http://stream1-3.jamendo.com/1876/mp31/02%20-%20Innishmoore%20Celtic%20Dance.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (3,4,'http://stream1-3.jamendo.com/1876/mp31/03%20-%20Mary-Mack%20Funked-up%20Folk%20song.mp3','WWW',1)");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (4,5,'http://stream1-3.jamendo.com/1876/mp31/04%20-%20Mio%20Mine%20Okinawan%20Breeze.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (5,6,'http://stream1-3.jamendo.com/1876/mp31/05%20-%20Bailar%20Comical%20Spanish%20Dance.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (6,7,'http://stream1-3.jamendo.com/1876/mp31/06%20-%20Backwards%20Peeker%20Pop%20Rock.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (7,8,'http://stream1-3.jamendo.com/1876/mp31/07%20-%20Perfect%20Wave%20Ballad.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (8,9,'http://stream1-3.jamendo.com/1876/mp31/08%20-%20Picture%20Perfect%20remix%2C%20with%20steel%20drum.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (9,10,'http://stream1-3.jamendo.com/1876/mp31/09%20-%20Clear%20Skies%20remix.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (10,11,'http://stream1-3.jamendo.com/1876/mp31/01%20-%20The%20Chills%20Spacy%20Funk.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (11,12,'http://stream1-3.jamendo.com/1876/mp31/03%20-%20Mary-Mack%20Funked-up%20Folk%20song.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (12,13,'http://stream1-3.jamendo.com/1876/mp31/04%20-%20Mio%20Mine%20Okinawan%20Breeze.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (13,14,'http://stream1-3.jamendo.com/1876/mp31/05%20-%20Bailar%20Comical%20Spanish%20Dance.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (14,15,'http://stream1-3.jamendo.com/1876/mp31/07%20-%20Perfect%20Wave%20Ballad.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (15,16,'http://stream1-3.jamendo.com/1876/mp31/08%20-%20Picture%20Perfect%20remix%2C%20with%20steel%20drum.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__direccion VALUES (16,17,'http://stream1-3.jamendo.com/1876/mp31/09%20-%20Clear%20Skies%20remix.mp3','WWW',1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__disco VALUES (1,1,'http://img.jamendo.com/albums/873/covers/1.130.jpg','Inertia','2006-09-01');");
 		$db->query();
		$db->setQuery("INSERT INTO #__disco VALUES (2,1,'http://img.jamendo.com/albums/1876/covers/1.130.jpg','Elixir','2006-09-01');");
 		$db->query();
		$db->setQuery("INSERT INTO #__disco VALUES (3,1,'http://img.jamendo.com/albums/900/covers/1.130.jpg','Strange Chord','2006-09-01');");
 		$db->query();
		$db->setQuery("INSERT INTO #__evento VALUES (1,'Barcelona (Spain)','2007-01-08 14:30:00','0000-00-00 00:00:00','This is a test event.<br />');");
 		$db->query();
		$db->setQuery("INSERT INTO #__grupo VALUES (1,'http://www.tengooz.com/blogger.jpg','The TenGooz','The TenGooz play very catchy and soulful original music in a variety<br />of styles.Their LIVE repetoire has been rapidly growing and they are known for keeping the dancing going for HOURS!It is the philosophy of<br />the band to let music be borderless, and a single set might include<br />original Latin,Celtic,Okinawan,African.... style songs.<br />The TenGooz also reach beyond generational boundaries and it would not be unusual to see among those dancing at their shows both children and octagenarians grooving to the same song!');");
 		$db->query();
		$db->setQuery("INSERT INTO #__grupo VALUES (2,'http://www.tengooz.com/collective/1.jpg','The TenGooz Collective','');");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (2,0,1,22,'','Inertia','0000-00-00','',0,3,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (3,0,2,0,'','Innishmoore','0000-00-00','',0,3,2);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (4,0,2,0,'','Mary-Mack','0000-00-00','',0,3,3);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (5,0,1,0,'','Mio Mine','0000-00-00','',0,3,4);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (6,0,1,0,'','Bailar','0000-00-00','',0,3,5);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (7,0,2,0,'','Backwars Peeker','0000-00-00','',0,3,6);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (8,0,1,0,'','Perfect Wave','0000-00-00','',0,3,7);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (9,0,1,0,'','Picture Perfect','0000-00-00','',0,3,8);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (10,0,1,0,'','Clear Skies','0000-00-00','',0,3,9);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (11,0,2,0,'','The Chills','0000-00-00','',0,3,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (13,0,2,0,'','Mio Mine','0000-00-00','',0,3,4);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (14,0,2,0,'','Bailar','0000-00-00','',0,3,5);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (15,0,2,0,'','Perfect Wave','0000-00-00','',0,3,7);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (16,0,2,0,'','Picture Perfect','0000-00-00','',0,3,8);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (17,0,2,0,'','Clear Skies','0000-00-00','',0,3,9);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (18,0,3,0,'','Strange Chord','0000-00-00','',0,3,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (19,0,3,0,'','Picture Perfect','0000-00-00','',0,3,2);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (20,0,3,0,'','Running','0000-00-00','',0,3,3);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (21,0,3,0,'','Clear Skies','0000-00-00','',0,3,4);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (22,0,0,0,'','Inertia','0000-00-00','<div align=\"center\"> You were living your old life, but now I\'ve come along.<br />I\'ve been struggling to change you,<br />Though you\'ve proven head strong<br />I thought I could nurture, but you just sucked me dry<br />You cry out when I teach you that I fill you with lies<br />But I will stay the course.<br />I\'m gonna hold my ground<br />And though you sting me bad.<br />I\'m gonna stick around.<br />You\'re gonna feel my grip and my stiff upper lip<br />We\'re gonna take this to the end of the line.<br />And then we\'ll be happy when you finally see<br />That you\'re not really livin\' till you live just like me.<br />It\'s so hard to change courses once the action begins<br />Cause then physics takes over and inertia sets in.<br />And I will stay the course.<br />You can\'t resist my force.<br />I\'m gonna stick around.<br />I\'m gonna wear you down.<br />And though you scream and shout<br />I will dispell your doubt.<br />I\'m gonna take it to the end of the line.<br /><br />Yes, I will stay the course.<br />You can\'t resist my force.<br />I\'m gonna stick around.<br />I\'m gonna waear you down.<br />And though you scream and shout.<br />I will dispell your doubt.<br />I\'m gonna stay with you.<br />I\'m gonna pray for you.<br />I\'m gonna spend my days<br />Helping you mend your ways.<br />I will achieve my goal.<br />I\'m gonna take your soul.</div>',0,0,0);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (30,5,0,0,'http://www.tengooz.com/img/jpg/avi3.jpg','Avi','0000-00-00','',0,1,0);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (31,5,0,0,'http://www.tengooz.com/img/jpg/kenya4.jpg','Kenya','0000-00-00','',0,1,0);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (32,5,0,0,'http://www.tengooz.com/img/jpg/tanaka3.jpg','Tanaka','0000-00-00','',0,1,0);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (33,5,0,0,'http://www.tengooz.com/img/jpg/haseg_pro.jpg','Haseg','0000-00-00','',0,1,0);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (34,5,0,0,'http://www.tengooz.com/img/jpg/jonny3.jpg','Jonny','0000-00-00','',0,1,0);");
 		$db->query();
		$db->setQuery("INSERT INTO #__medio VALUES (35,3,0,0,'http://www.tengooz.com/video/hanabi.wmv','Hannabi','0000-00-00','',0,2,0);");
 		$db->query();
		$db->setQuery("INSERT INTO #__pertenece VALUES (2,4,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__pertenece VALUES (3,5,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__pertenece VALUES (4,6,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__pertenece VALUES (6,7,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__pertenece VALUES (7,8,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__pertenece VALUES (8,9,1);");
 		$db->query();
		$db->setQuery("INSERT INTO #__pertenece VALUES (9,10,2);");
 		$db->query();
		$db->setQuery("INSERT INTO #__producto VALUES (1,1,'http://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Elephant_catching_a_flying_tengu.jpg/207px-Elephant_catching_a_flying_tengu.jpg','Ancient drawing','This is an ancient Japanese drawing.',24.00,1);");
 		$db->query();
	}
}
?>
