<?php
defined('_JEXEC') or die('Restricted access');

// require the html view class
require_once (JApplicationHelper :: getPath('front_html', 'com_sonoro'));
require_once ('components/com_sonoro/sonoro.sql.php');

$task = JRequest::getVar('task', '', '', 'STRING');
 
switch ($task) {
	case 'eventoDetalle':
		eventoDetalle();
	break;
	case 'categoria':
		categoria();
	break;
	case 'productoDetalle':
		productoDetalle();
	break;
	case 'cesta':
		cesta();
	break;
	case 'comprar':
		comprar();
	break;
	case 'pedidos':
		pedidos();
	break;
	case 'pedidoDetalle':
		pedidoDetalle();
	break;
	case 'videos':
		videos();
	break;
	case 'videoDetalle':
		videoDetalle();
	break;
	case 'imagenes':
		imagenes();
	break;
	case 'imagenDetalle':
		imagenDetalle();
	break;
	case 'discos':
		discos();
	break;
	case 'discoDetalle':
		discoDetalle();
	break;
	case 'letraDetalle':
		letraDetalle();
	break;
	case 'cancionDetalle':
		cancionDetalle();
	break;
	case 'grupos':
		grupos();
	break;
	case 'grupoDetalle':
		grupoDetalle();
	break;
	case 'componenteDetalle':
		componenteDetalle();
	break;
	default:
	case 'eventos':
		eventos();
	break;
}

//Listamos todos los eventos
function eventos(){
	global $mainframe;

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('EVENTS'), sefRelToAbs('index.php?option=com_sonoro&task=eventos'));
	
	sonoro_HTML::eventos_html(sonoro_SQL::eventos_sql());
}
	
//Listamos la ficha del evento
function eventoDetalle(){
	global $mainframe;
	
	$id = JRequest::getVar('id', '', '', 'INT');
	$evento=sonoro_SQL::eventoDetalle_sql($id);
	if(($id!='')&&(sizeof($evento)==0)) josRedirect('index.php?option=com_sonoro&task=eventos', JText::_('INVALID EVENT'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('EVENTS'), sefRelToAbs('index.php?option=com_sonoro&task=eventos'));
	$breadcrumbs->addItem(JText::_('DETAILS'), sefRelToAbs('index.php?option=com_sonoro&task=eventoDetalle&id='.$id));
	
	sonoro_HTML::eventoDetalle_html($evento);
}

//Listamos productos y subcategorias de la categoria
function categoria(){
	global $mainframe;
	
	$id = JRequest::getVar('id', 1, '', 'INT');
	if(($id!=0)&&(($id<0)||($id>2147483647))) josRedirect('index.php?option=com_sonoro&task=categoria', JText::_('INVALID CATHEGORY'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('SHOP'), sefRelToAbs('index.php?option=com_sonoro&task=categoria'));
	
	$categorias=sonoro_SQL::categorias_sql($id, 0);
	if(sizeof($categorias)>0) sonoro_HTML::categorias_html($categorias, 0);
	
	$productos=sonoro_SQL::productos_sql($id);
	if(sizeof($productos)>0) sonoro_HTML::productos_html($productos);
}

//Listamos la ficha del producto
function productoDetalle(){
	global $mainframe;
	
	$id = JRequest::getVar('id', '', '', 'INT');
	$producto=sonoro_SQL::productoDetalle_sql($id);
	if(($producto!='')&&(sizeof($producto)==0)) josRedirect('index.php?option=com_sonoro&task=categoria', JText::_('INVALID PRODUCT'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('SHOP'), sefRelToAbs('index.php?option=com_sonoro&task=categoria'));
	$breadcrumbs->addItem(JText::_('DETAILS'), sefRelToAbs('index.php?option=com_sonoro&task=productoDetalle&id='.$id));
	
	sonoro_HTML::productoDetalle_html($producto);
}
	
//Listamos la ficha del producto
function cesta(){
	global $mainframe;
	global $my;
	
	if($my->usertype=='') josRedirect('index.php?option=com_registration&task=register', JText::_('YOU MUST REGUSTER IN ORDER TO ACCESS THIS AREA'));
	
	$producto = addslashes(JRequest::getVar('producto', '', '', 'INT'));
	$validaProducto=sonoro_SQL::productoDetalle_sql($producto);
	if($producto!=''&&sizeof($validaProducto)==0) josRedirect('index.php?option=com_sonoro&task=categoria', JText::_('INVALID PRODUCT'));
	$cantidad = addslashes(JRequest::getVar('cantidad', '', '', 'INT'));
	if(($cantidad!='')&&(($cantidad<0)||($cantidad>2147483647))) josRedirect('index.php?option=com_sonoro&task=categoria', JText::_('INVALID CATHEGORY'));
	$accion = JRequest::getVar('accion', '', '', 'STRING');
	if(($accion!='')&&(($accion!='add')&&($accion!='edit'))) josRedirect('index.php?option=com_sonoro&task=categoria', JText::_('INVALID ACTION'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('SHOPPING CART'), sefRelToAbs('index.php?option=com_sonoro&task=cesta'));
	
	if(($producto!='')&&($cantidad!='')) {
		$cesta=&JSession::get('cesta');
		if($cesta==null) $cesta=array();
		
		//obtenemos la posicion en la que se encuentra el producto
		$posicion = -1;
		for ($i = 0; $i < sizeof($cesta); $i ++)
			if ($posicion == -1)
				if ($cesta[$i][0]==$producto) {
					$posicion = $i;
					$i=sizeof($cesta);
				}
		if(($accion=='add')&&($posicion==-1)) {
			//Introducimos el producto en la variable de sesion
			$cesta[sizeof($cesta)]=array($producto, $cantidad);
			JSession::set('cesta', $cesta);
			JSession::register('cesta');
		} elseif (($accion=='edit')||(($accion=='add')&&($posicion!=-1))) {
			//actualizamos la cantidad del producto
             		$cesta[$posicion]=array($producto, $cantidad);
             		JSession::set('cesta', $cesta);
			JSession::register('cesta');
		}
	}
	sonoro_HTML::cesta_html();
}

//Listamos los campos para comprar
function comprar(){
	global $mainframe;
	global $my;
	
	if($my->usertype=='') josRedirect('index.php?option=com_registration&task=register', JText::_('YOU MUST REGUSTER IN ORDER TO ACCESS THIS AREA'));
	
	$accion = JRequest::getVar('accion', '', '', 'STRING');
	if(($accion!='')&&($accion!='datos')&&($accion!='confirmar')&&($accion!='finalizar')) josRedirect('index.php?option=com_sonoro&task=cesta', JText::_('INVALID ACTION'));
	$direccionEntrega = addslashes(JRequest::getVar('direccionEntrega', '', '', 'STRING'));
	if(($accioin=='confirmar')&&((($direccionEntrega!='')&&(strlen($direccionEntrega)>16777215))||($direccionEntrega==''))) josRedirect('index.php?option=com_sonoro&task=cesta', JText::_('INVALID SHIPPING ADDRESS'));
	$metodoPago = addslashes(JRequest::getVar('metodoPago', '', '', 'INT'));
	$validarMetodoPago = sonoro_SQL::metodoPago_sql($metodoPago);
	if(($metodoPago!='')&&(sizeof($validarMetodoPago)==0))  josRedirect('index.php?option=com_sonoro&task=cesta', JText::_('INVALID PAYMENT METHOD'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('SHOP'), sefRelToAbs('index.php?option=com_sonoro&task=cesta'));
	$breadcrumbs->addItem(JText::_('BUY'), sefRelToAbs('index.php?option=com_sonoro&task=comprar'));
	
	if($accion=='datos') {
		//Obtenemos los metodos de pago
		$metodoPago=sonoro_SQL::metodosPago_sql();
	} elseif($accion=='confirmar') {
		$nombreMetodoPago=sonoro_SQL::metodoPago_sql($metodoPago);
	} elseif($accion=='finalizar') {
		//Introducimos el pedido
		$pedido=sonoro_SQL::pedido_sql($metodoPago, $direccionEntrega);
		$metodo=sonoro_SQL::metodoPago_sql($metodoPago);
		$direccionEntrega=$metodo[0][2];
	}
	sonoro_HTML::comprar_html($accion, $direccionEntrega, $metodoPago, $nombreMetodoPago);
}

//Listamos videos y subcategorias de la categoria
function videos(){
	global $mainframe;
	
	$id = JRequest::getVar('id', 3, '', 'INT');

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('VIDEOS'), sefRelToAbs('index.php?option=com_sonoro&task=videos'));
	
	$categorias=sonoro_SQL::categorias_sql($id, 2);
	if(sizeof($categorias)>0) sonoro_HTML::categorias_html($categorias, 2);
	$videos=sonoro_SQL::videos_sql($id);
	if(sizeof($videos)>0) sonoro_HTML::videos_html($videos);
}

//Listamos la ficha del video
function videoDetalle(){
	global $mainframe;
	global $my;
	
	$id = JRequest::getVar('id', '', '', 'INT');
	$video=sonoro_SQL::videoDetalle_sql($id);
	if(($id!='')&&(sizeof($video)==0)) josRedirect('index.php?option=com_sonoro&task=videos', JText::_('INVALID VIDEO'));
	$comentario= addslashes(JRequest::getVar( 'comentario', '', 'post', 'STRING', _J_ALLOWRAW ));
	$comentario= str_replace( '<br>', '<br />', $comentario );
	if(($comentario!='')&&(strlen($comentario)>16777215)) josRedirect('index.php?option=com_sonoro&task=videoDetalle&id='.$id, JText::_('INVALID COMMENT'));
	$pass = JRequest::getVar('pass', '', '', 'STRING');
	if(($pass!='')&&((strlen($pass)<5)||(strlen($pass)>15))) josRedirect('index.php?option=com_sonoro&task=videoDetalle&id='.$id, JText::_('INVALID COMMENT'));
	
	session_commit();
	session_name('captcha');
	session_start();
	$cadena=$_SESSION['cadena'];
	
	if($id=='') $id=2;
	
	//Comprobamos que gd esta cargado y si no es asi lo cargamos
	$resultado=false;
	if(!extension_loaded('gd')) {
		if(strtoupper(substr(PHP_OS, 3))=="WIN")
			$resultado=dl('php_gd2.dll');
		else
			$resultado=dl('gd.so');
	} else $resultado=true;
	
	if(($resultado==true)&&($comentario!='')) { 
		if($pass==$cadena) sonoro_SQL::addComentario_sql($id, $comentario);
	} elseif ($comentario!='')  sonoro_SQL::addComentario_sql($id, $comentario);

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('VIDEOS'), sefRelToAbs('index.php?option=com_sonoro&task=videos'));
	$breadcrumbs->addItem(JText::_('DETAILS'), sefRelToAbs('index.php?option=com_sonoro&task=videoDetalle&id='.$id));
	
	sonoro_HTML::videoDetalle_html($video);
	sonoro_HTML::comentarios_html(sonoro_SQL::comentarios_sql($id));
	if($my->usertype!='') sonoro_HTML::addComentario_html($id, '', 2);
	else sonoro_HTML::noRegistrado_html();
}

//Listamos videos y subcategorias de la categoria
function imagenes(){
	global $mainframe;
	
	$id = JRequest::getVar('id', 2, '', 'INT');

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('IMAGES'), sefRelToAbs('index.php?option=com_sonoro&task=imagenes'));
	
	$categorias=sonoro_SQL::categorias_sql($id, 1);
	if(sizeof($categorias)>0) sonoro_HTML::categorias_html($categorias, 1);
	$imagenes=sonoro_SQL::imagenes_sql($id);
	if(sizeof($imagenes)>0) sonoro_HTML::imagenes_html($imagenes);
}

//Listamos la ficha del video
function imagenDetalle(){
	global $mainframe;
	global $my;
	
	$id = JRequest::getVar('id', '', '', 'INT');
	$imagen=sonoro_SQL::imagenDetalle_sql($id);
	if(($id!='')&&(sizeof($imagen)==0)) josRedirect('index.php?option=com_sonoro&task=imagenes', JText::_('INVALID IMAGE'));
	$comentario= addslashes(JRequest::getVar( 'comentario', '', 'post', 'STRING', _J_ALLOWRAW ));
	$comentario= str_replace( '<br>', '<br />', $comentario );
	if(($comentario!='')&&(strlen($comentario)>16777215)) josRedirect('index.php?option=com_sonoro&task=imagenDetalle&id='.$id, JText::_('INVALID COMMENT'));
	$pass = JRequest::getVar('pass', '', '', 'STRING');
	if(($pass!='')&&((strlen($pass)<5)||(strlen($pass)>15))) josRedirect('index.php?option=com_sonoro&task=imagenDetalle&id='.$id, JText::_('INVALID COMMENT'));
	
	session_commit();
	session_name('captcha');
	session_start();
	$cadena=$_SESSION['cadena'];
	
	if($id=='') $id=1;
	
	//Comprobamos que gd esta cargado y si no es asi lo cargamos
	$resultado=false;
	if(!extension_loaded('gd')) {
		if(strtoupper(substr(PHP_OS, 3))=="WIN")
			$resultado=dl('php_gd2.dll');
		else
			$resultado=dl('gd.so');
	} else $resultado=true;
	
	if(($resultado==true)&&($comentario!='')) { if($pass==$cadena) sonoro_SQL::addComentario_sql($id, $comentario);
	} elseif ($comentario!='') sonoro_SQL::addComentario_sql($id, $comentario);

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('IMAGES'), sefRelToAbs('index.php?option=com_sonoro&task=imagenes'));
	$breadcrumbs->addItem(JText::_('DETAILS'), sefRelToAbs('index.php?option=com_sonoro&task=imagenDetalle&id='.$id));
	
	sonoro_HTML::imagenDetalle_html($imagen);
	sonoro_HTML::comentarios_html(sonoro_SQL::comentarios_sql($id));
	if($my->usertype!='') sonoro_HTML::addComentario_html($id, '', 1);
	else sonoro_HTML::noRegistrado_html();
}

//Listamos los discos
function discos(){
	global $mainframe;

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('DISCS'), sefRelToAbs('index.php?option=com_sonoro&task=discos'));
	
	sonoro_HTML::discos_html(sonoro_SQL::discos_sql());
}

//Listamos la ficha del disco
function discoDetalle(){
	global $mainframe;

	$id = JRequest::getVar('id', 0, '', 'INT');
	$detalles=sonoro_SQL::discoDetalle_sql($id);
	$canciones=sonoro_SQL::listaCanciones_sql($id);
	
	if(sizeof($detalles)==0) josRedirect('index.php?option=com_sonoro&task=discos', JText::_('INVALID DISC'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('DISCS'), sefRelToAbs('index.php?option=com_sonoro&task=discos'));
	$breadcrumbs->addItem(JText::_('DISC'), sefRelToAbs('index.php?option=com_sonoro&task=discoDetalle&id='.$id));
	
	if($canciones[0][0]!='') sonoro_HTML::xspfPlayerDisco_html($detalles[0][2]);
	sonoro_HTML::discoDetalle_html($detalles);
	$invitados=sonoro_SQL::invitados_sql($id);
	if(sizeof($invitados)>0) sonoro_HTML::invitados_html($invitados);
	$canciones=sonoro_SQL::canciones_sql($id);
	if(sizeof($canciones)>0)sonoro_HTML::canciones_html($canciones, $detalles[0][0]);
}

//Listamos la ficha de la cancion
function cancionDetalle(){
	global $mainframe;
	global $my;

	$id = JRequest::getVar('id', 0, '', 'INT');
	$detalles=sonoro_SQL::cancionDetalle_sql($id);
	if(sizeof($detalles)==0) josRedirect('index.php?option=com_sonoro&task=discos', JText::_('INVALID SONG'));
	$disco = JRequest::getVar('disco');
	$detallesDisco=sonoro_SQL::discoDetalle_sql($disco);
	if(sizeof($detallesDisco)==0) josRedirect('index.php?option=com_sonoro&task=discos', JText::_('INVALID DISC'));
	
	$comentario= addslashes(JRequest::getVar( 'comentario', '', 'post', 'STRING', _J_ALLOWRAW ));
	$comentario= str_replace( '<br>', '<br />', $comentario );
	if(($comentario!='')&&(strlen($comentario)>16777215)) josRedirect('index.php?option=com_sonoro&task=cancionDetalle&disco='.$disco.'&id='.$id, JText::_('INVALID COMMENT'));
	$pass = JRequest::getVar('pass', '', '', 'STRING');
	if(($pass!='')&&((strlen($pass)<5)||(strlen($pass)>15))) josRedirect('index.php?option=com_sonoro&task=cancionDetalle&disco='.$disco.'&id='.$id, JText::_('INVALID COMMENT'));
	
	session_commit();
	session_name('captcha');
	session_start();
	$cadena=$_SESSION['cadena'];
	
	//Comprobamos que gd esta cargado y si no es asi lo cargamos
	$resultado=false;
	if(!extension_loaded('gd')) {
		if(strtoupper(substr(PHP_OS, 3))=="WIN")
			$resultado=dl('php_gd2.dll');
		else
			$resultado=dl('gd.so');
	} else $resultado=true;
	
	if(($resultado==true)&&($comentario!='')) { if($pass==$cadena) sonoro_SQL::addComentario_sql($id, $comentario);
	} elseif ($comentario!='') sonoro_SQL::addComentario_sql($id, $comentario);

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('DISCS'), sefRelToAbs('index.php?option=com_sonoro&task=discos'));
	$breadcrumbs->addItem(JText::_('DISC'), sefRelToAbs('index.php?option=com_sonoro&task=discoDetalle&id='.$disco));
	$breadcrumbs->addItem(JText::_('SONG'), sefRelToAbs('index.php?option=com_sonoro&task=cancionDetalle&id='.$id));
	
	$direccion=sonoro_SQL::direccionCancion_sql($id);
	$direcciones=sonoro_SQL::direcciones_sql($id);
	if($direccion[0][0]!='') sonoro_HTML::xspfPlayerCancion_html($detalles[0][2], $direccion[0][0]);
	sonoro_HTML::cancionDetalle_html($detalles);
	if($direcciones[0][0]!='') sonoro_HTML::direcciones_html($direcciones);
	sonoro_HTML::comentarios_html(sonoro_SQL::comentarios_sql($id));
	if($my->usertype!='') sonoro_HTML::addComentario_html($id, $disco, 3);
	else sonoro_HTML::noRegistrado_html();
}

//Listamos la ficha de la letra
function letraDetalle(){
	global $mainframe;
	global $my;

	$id = JRequest::getVar('id', 0, '', 'INT');
	$letra=sonoro_SQL::letraDetalle_sql($id);
	if(sizeof($letra)==0) josRedirect('index.php?option=com_sonoro&task=discos', JText::_('INVALID LYRIC'));
	$comentario= addslashes(JRequest::getVar( 'comentario', '', 'post', 'STRING', _J_ALLOWRAW ));
	$comentario= str_replace( '<br>', '<br />', $comentario );
	if(($comentario!='')&&(strlen($comentario)>16777215)) josRedirect('index.php?option=com_sonoro&task=letraDetalle&id='.$id, JText::_('INVALID COMMENT'));
	$pass = JRequest::getVar('pass', '', '', 'STRING');
	if(($pass!='')&&((strlen($pass)<5)||(strlen($pass)>15))) josRedirect('index.php?option=com_sonoro&task=letraDetalle&id='.$id, JText::_('INVALID COMMENT'));
	
	session_commit();
	session_name('captcha');
	session_start();
	$cadena=$_SESSION['cadena'];

	//Comprobamos que gd esta cargado y si no es asi lo cargamos
	$resultado=false;
	if(!extension_loaded('gd')) {
		if(strtoupper(substr(PHP_OS, 3))=="WIN")
			$resultado=dl('php_gd2.dll');
		else
			$resultado=dl('gd.so');
	} else $resultado=true;
	
	if(($resultado==true)&&($comentario!='')) { if($pass==$cadena) sonoro_SQL::addComentario_sql($id, $comentario);
	} elseif ($comentario!='') sonoro_SQL::addComentario_sql($id, $comentario);

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('DISCS'), sefRelToAbs('index.php?option=com_sonoro&task=discos'));
	$breadcrumbs->addItem(JText::_('LYRIC'), sefRelToAbs('index.php?option=com_sonoro&task=letraDetalle&id='.$id));
	
	sonoro_HTML::letraDetalle_html($letra);
	sonoro_HTML::comentarios_html(sonoro_SQL::comentarios_sql($id));
	if($my->usertype!='') sonoro_HTML::addComentario_html($id, '', 0);
	else sonoro_HTML::noRegistrado_html();
}

//Listamos la ficha del grupo
function grupos(){
	global $mainframe;

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('BIOGRAPHY'), sefRelToAbs('index.php?option=com_sonoro&task=grupos'));
	
	sonoro_HTML::grupos_html(sonoro_SQL::grupos_sql());
}

//Listamos la ficha del grupo
function grupoDetalle(){
	global $mainframe;

	$id = JRequest::getVar('id', 0, '', 'INT');
	$grupo=sonoro_SQL::grupoDetalle_sql($id);
	if(sizeof($grupo)==0) josRedirect('index.php?option=com_sonoro&task=grupos', JText::_('INVALID GROUP'));
	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('BIOGRAPHY'), sefRelToAbs('index.php?option=com_sonoro&task=grupos'));
	$breadcrumbs->addItem(JText::_('GROUP'), sefRelToAbs('index.php?option=com_sonoro&task=grupoDetalle&id='.$id));
	
	sonoro_HTML::grupoDetalle_html($grupo);
	sonoro_HTML::componentes_html(sonoro_SQL::componentes_sql($id), $id);
}

//Listamos la ficha del grupo
function componenteDetalle(){
	global $mainframe;

	$id = JRequest::getVar('id', 0, '', 'INT');
	$componente=sonoro_SQL::componenteDetalle_sql($id);
	if(sizeof($componente)==0) josRedirect('index.php?option=com_sonoro&task=grupos', JText::_('INVALID MEMBER'));
	$grupo = JRequest::getVar('grupo', 0, '', 'INT');
	$validarGrupo=sonoro_SQL::grupoDetalle_sql($grupo);
	if(sizeof($validarGrupo)==0) josRedirect('index.php?option=com_sonoro&task=grupos', JText::_('INVALID GROUP'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('BIOGRAPHY'), sefRelToAbs('index.php?option=com_sonoro&task=grupos'));
	if(isset($grupo)) $breadcrumbs->addItem(JText::_('GROUP'), sefRelToAbs('index.php?option=com_sonoro&task=grupoDetalle&id='.$grupo));
	$breadcrumbs->addItem(JText::_('MEMBER'), sefRelToAbs('index.php?option=com_sonoro&task=componenteDetalle&id='.$id));
	
	sonoro_HTML::componenteDetalle_html($componente);
}

//Listamos los pedidos y su estado
function pedidos(){
	global $mainframe;
	global $my;
	
	if($my->usertype=='') josRedirect('index.php?option=com_registration&task=register', JText::_('YOU MUST REGISTER IN ORDER TO ACCESS THIS AREA'));

	// Anyadimos las migas
	$breadcrumbs = & $mainframe->getPathWay();
	$breadcrumbs->addItem(JText::_('ORDERS'), sefRelToAbs('index.php?option=com_sonoro&task=pedidos'));
	
	sonoro_HTML::pedidos_html(sonoro_SQL::pedidos_sql($my->id), sonoro_SQL::estados_sql());
}
