<?php
defined('_JEXEC') or die('Restricted access');

class sonoro_SQL {	
	// id, lugar, inicio de los eventos desde hoy
	function eventos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, lugar, DATE_FORMAT(inicio, '%d %m %Y') FROM #__evento WHERE inicio>=NOW() ORDER BY inicio");
 		$eventos = $db->loadRowList();
 		return $eventos;
	}
	
	// lugar, inicio, fin, descripcion de los eventos desde hoy
	function eventoDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT lugar, inicio, fin, descripcion FROM #__evento WHERE id=".$id);
 		$evento = $db->loadRowList();
 		return $evento;
	}
	
	// id, imagen, nombre de la categoria
	function categorias_sql($id, $tipo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, imagen, nombre FROM #__categoria WHERE tipo=".$tipo." AND padre=".$id);
 		$categorias = $db->loadRowList();
 		return $categorias;
	}
	
	// id, imagen, nombre del producto
	function productos_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, imagen, nombre, precio FROM #__producto WHERE activo=1 AND categoria=".$id);
 		$productos = $db->loadRowList();
 		return $productos;
	}
	
	// id, imagen, descripcion, nombre, precio del producto
	function productoDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, imagen, descripcion, nombre, precio FROM #__producto WHERE activo=1 AND id=".$id);
 		$productos = $db->loadRowList();
 		return $productos;
	}
	
	// id, nombre, descripcion del producto
	function metodosPago_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre, descripcion FROM #__metodoPago");
 		$metodosPago = $db->loadRowList();
 		return $metodosPago;
	}
	
	// id, nombre
	function metodoPago_sql($metodo) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre, descripcion FROM #__metodoPago WHERE id=".$metodo);
 		$metodoPago = $db->loadRowList();
 		return $metodoPago;
	}
	
	function pedido_sql($metodo, $direccion) {
		global $my;
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT MAX(id) FROM #__pedido");
 		$pedido = $db->loadRowList();
 		$pedido = 1+$pedido[0][0];
 		
 		$db->setQuery("INSERT INTO #__pedido (id, cliente, fecha, estado, direccionEntrega) VALUES (".$pedido.", ".$my->id.", 'NOW()', 0, '".$direccion."')");
 		$db->query();
 		
 		//Introducimos las lineas
 		$cesta=JSession::get('cesta');
 		for($contador=0; $contador<sizeof($cesta); $contador++) {
 			$db->setQuery("SELECT precio FROM #__producto WHERE id=".$cesta[$contador][0]);
 			$precio = $db->loadRowList();
 			$precio = $precio[0][0];
 		
 			$db->setQuery("INSERT INTO #__linea (pedido, producto, cantidad, precio) VALUES (".$pedido.", ".$cesta[$contador][0].", ".$cesta[$contador][1].", ".$precio.")");
	 		$db->query();
	 	}
	}
	
	// id, vistaPrevia, nombre de los videos
	function videos_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();
		$db->setQuery("SELECT id, vistaPrevia, nombre FROM #__medio WHERE tipo=2 AND categoria=".$id);
 		$videos = $db->loadRowList();
 		return $videos;
	}
	
	// vistaPrevia, nombre, fechaCreacion, cuerpo del video
	function videoDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT vistaPrevia, nombre, fechaCreacion, cuerpo FROM #__medio WHERE id=".$id);
 		$video = $db->loadRowList();
 		return $video;
	}
	
	// id, vistaPrevia, nombre de las imagenes
	function imagenes_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();
		$db->setQuery("SELECT id, vistaPrevia, nombre FROM #__medio WHERE tipo=1 AND categoria=".$id);
 		$imagenes = $db->loadRowList();
 		return $imagenes;
	}
	
	// vistaPrevia, nombre, fechaCreacion, cuerpo de la imagen
	function imagenDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT vistaPrevia, nombre, fechaCreacion, cuerpo FROM #__medio WHERE id=".$id);
 		$video = $db->loadRowList();
 		return $video;
	}
	
	// id, caratula, titulo, grupo de los discos
	function discos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT D.id, D.caratula, D.titulo, D.grupo, G.nombre FROM #__disco D, #__grupo G WHERE D.grupo=G.id");
 		$discos = $db->loadRowList();
 		return $discos;
	}
	
	// id, caratula, titulo, grupo, fechaCreacion del disco
	function discoDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT D.id, D.caratula, D.titulo, D.grupo, D.fechaCreacion, G.nombre FROM #__disco D, #__grupo G WHERE D.id=".$id." AND D.grupo=G.id");
 		$disco = $db->loadRowList();
 		return $disco;
	}
	
	// id, nombre de la canciones
	function canciones_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM #__medio WHERE tipo=3 AND disco=".$id." ORDER BY orden");
 		$disco = $db->loadRowList();
 		return $disco;
	}
	
	// id, letra, nombre, fechaCreacio de la cancion
	function cancionDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, letra, nombre, fechaCreacion FROM #__medio WHERE id=".$id);
 		$disco = $db->loadRowList();
 		return $disco;
	}
	
	// nombre, cuerpo de la letra
	function letraDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT nombre, cuerpo FROM #__medio WHERE id=".$id);
 		$disco = $db->loadRowList();
 		return $disco;
	}
	
	// imagen, nombre, descripcion
	function grupoDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT imagen, nombre, descripcion FROM #__grupo WHERE id=".$id);
 		$grupo = $db->loadRowList();
 		return $grupo;
	}
	
	// id, nombre
	function componentes_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT C.id, C.nombre FROM #__componente C, #__pertenece P WHERE P.grupo=".$id." AND P.componente=C.id");
 		$componentes = $db->loadRowList();
 		return $componentes;
	}
	
	// id, imagen, nombre
	function grupos_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, imagen, nombre FROM #__grupo");
 		$grupos = $db->loadRowList();
 		return $grupos;
	}
	
	// imagen, nombre, descripcion
	function componenteDetalle_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT imagen, nombre, descripcion FROM #__componente WHERE id=".$id);
 		$componente = $db->loadRowList();
 		return $componente;
	}
	
	// id, nombre
	function invitados_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT C.id, C.nombre FROM #__componente C, #__invitado I WHERE I.disco=".$id." AND I.componente=C.id");
 		$invitados = $db->loadRowList();
 		return $invitados;
	}
	
	// direccion, protocolo
	function direcciones_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT direccion, protocolo FROM #__direccion WHERE medio=".$id);
 		$direcciones = $db->loadRowList();
 		return $direcciones;
	}
	
	// texto, usuario
	function comentarios_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT texto, usuario, fechaCreacion FROM #__comentario WHERE medio=".$id);
 		$comentarios = $db->loadRowList();
 		return $comentarios;
	}
	
	function addComentario_sql($medio, $texto) {
		global $my;
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("INSERT INTO #__comentario (medio, texto, usuario, fechaCreacion) VALUES (".$medio.", '".$texto."', ".$my->id.", NOW())");
 		$db->query();
	}
	
	// direccioin de la cancion
	function direccionCancion_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT direccion FROM #__direccion WHERE medio=".$id." AND jukebox=1");
 		$canciones = $db->loadRowList();
 		return $canciones;
	}
	
	// id, cliente, fecha, estado de los pedidos
	function pedidos_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, fecha, estado FROM `#__pedido` WHERE cliente=".$id." ORDER BY estado");
 		$pedidos = $db->loadRowList();
 		return $pedidos;
	}
	
	// id, nombre de los estados
	function estados_sql() {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT id, nombre FROM `#__estado` ORDER BY id");
 		$estados = $db->loadRowList();
 		return $estados;
	}
	
	// nombre, direccioin de las canciones del disco
	function listaCanciones_sql($id) {
		global $mainframe;
		$db = & $mainframe->getDBO();

		$db->setQuery("SELECT m.nombre, d.direccion FROM `#__medio` m, `#__direccion` d WHERE m.disco=".$id." AND d.medio=m.id AND d.jukebox=1 ORDER BY orden");
 		$canciones = $db->loadRowList();
 		return $canciones;
	}
}
?>
